From 6c4d591f30ac86f7f39b9a6e3c7a52e2f71b143a Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 11:28:06 +0800
Subject: [PATCH 06/77] guestnuma: update test case guestnuma

We should config cpu mode to host-passthrough, otherwise, vm will start
failed:
error: Failed to start domain avocado-vt-vm1
error: internal error: process exited while connecting to monitor: KVM is not supported for this guest CPU type

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/numa/guest_numa.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libvirt/tests/src/numa/guest_numa.py b/libvirt/tests/src/numa/guest_numa.py
index dbb021b7..0a0df85a 100644
--- a/libvirt/tests/src/numa/guest_numa.py
+++ b/libvirt/tests/src/numa/guest_numa.py
@@ -270,6 +270,8 @@ def run(test, params, env):
         # guest numa cpu setting
         vmcpuxml = libvirt_xml.vm_xml.VMCPUXML()
         vmcpuxml.xml = "<cpu><numa/></cpu>"
+        if 'aarch64' in arch:
+            vmcpuxml.xml = "<cpu mode='host-passthrough' check='none'><numa/></cpu>"
         if topology:
             vmcpuxml.topology = topology
         logging.debug(vmcpuxml.numa_cell)
-- 
2.23.0

